### Hierarchy

- TournamentRunner

## Index

### Constructors

- constructor

### Properties

- lobbyToken
- matchmaker
- options
- players
- tournament

### Methods

- continue
- start

## Constructors

### constructor

- new TournamentRunner(options: TournamentOptions, players: Player[], lobbyToken: string): TournamentRunner

- - Defined in src/lobby/tournament/TournamentRunner.ts:13

  #### Parameters

  - ##### options: TournamentOptions

  - ##### players: Player[]

  - ##### lobbyToken: string

  #### Returns TournamentRunner

## Properties

### Private lobbyToken

lobbyToken: string

- Defined in src/lobby/tournament/TournamentRunner.ts:15

### Private matchmaker

matchmaker: IMatchMaker

- Defined in src/lobby/tournament/TournamentRunner.ts:13

### Private options

options: TournamentOptions

- Defined in src/lobby/tournament/TournamentRunner.ts:15

### players

players: Player[]

- Defined in src/lobby/tournament/TournamentRunner.ts:15

### tournament

tournament: Tournament

- Defined in src/lobby/tournament/TournamentRunner.ts:12

## Methods

### continue

- continue(): void

- - Defined in src/lobby/tournament/TournamentRunner.ts:44

  #### Returns void

### start

- start(): void

- - Defined in src/lobby/tournament/TournamentRunner.ts:40

  #### Returns void

Generated using TypeDoc